Subject: Re: [PATCH 1/4] test-lib-functions: introduce test_line_count_cmd

From: Đoàn Trần Công Danh <[email-masked]>
Date: Sun, 13 Jun 2021 23:37:30 +0700

On 2021-06-13 15:28:58+0200, Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> 
> On Sat, Jun 12 2021, Đoàn Trần Công Danh wrote:
> 
> > +	   { test "x$1" = "x!" && test $# = 1 ; }
> > [...]
> > +	if test "x$1" = "x!" 
> 
> We don't use this test idiom in other places, it's OK to just use "$1" =
> "!". I think we're past whatever portability concern made that popular
> in some older shell code in the wild.

We actually use this test idiom in test_i18ngrep and test_cmp_rev.

I don't know enough to see where should I cut the base line.

-- 
Danh